#use "ass11.ml"

(* Note: to run this test, open an OCaml shell and type
 * '#use "test_tree.ml";;'. This will show the progress of insertions
 * into 'a'. *)
let a = Leaf
let a = insert a 13
let a = insert a 8
let a = insert a 17
let a = insert a 1
let a = insert a 11
let a = insert a 15
let a = insert a 6
let a = insert a 22
let a = insert a 27;;

(* Lookup some values that are in the tree *)
assert (lookup 13 a);;
assert (lookup 1 a);;
assert (lookup 6 a);;
assert (lookup 27 a);;

(* Lookup some values that are not in the tree *)
assert (not (lookup 2 a));;
assert (not (lookup 64 a));;
assert (not (lookup 48 a));;
assert (not (lookup 12 a));;
